<!--#include file="settings.asp"-->
<!--#include file="subs/designSettings.asp"-->
<!--#include file="design/start.asp"-->
<!--#include file="subs/utilFunctions.asp"-->
<!--#include file="subs/graph.asp"-->

<%
'---------------------------------------------------------------------
' designSettings.asp : startWindow, endWindow functions
' utilFunctions.asp  : getMySql function
'---------------------------------------------------------------------

'---------------------------------------------------------------------
if session("goLogin")<>"no" then
	set storeConn = nothing
	response.redirect "default.asp"
end if
'---------------------------------------------------------------------

dim storeRS, sqlString
dim startDate, endDate

dim orderCount, shoppersCount, visitorsCount, customersCount
dim totalProducts, totalCategories, productsStock

call startWindow ("Welcome to the Admin section!","100%", true)

' ----------------------------------- Orders ---------------------------------------------
set storeRS = Server.CreateObject("ADODB.Recordset")	
setlocale("en-us")
call setupNumberOfSeries(1, 3)
call setupSeriesNameAndColor(1, "Orders", "blue")

startDate = formatDateTime(dateAdd("d", -2, now), 2) &" 00:00:00"
endDate = formatDateTime(dateAdd("d", -2, now), 2) &" 23:59:59"
orderCount = returnOrdersNumber(startDate, endDate)
call setupLabel(1, returnDay(weekDay(startDate)))
call setupValue(1, 1, orderCount)
	
startDate = formatDateTime(dateAdd("d", -1, now), 2) &" 00:00:00"
endDate = formatDateTime(dateAdd("d", -1, now), 2) &" 23:59:59"
orderCount = returnOrdersNumber(startDate, endDate)
call setupLabel(2, returnDay(weekDay(startDate)))
call setupValue(1, 2, orderCount)
	
startDate = formatDateTime(now(),2)&" 00:00:00"
endDate = formatDateTime(now(),2)&" 23:59:59"
orderCount = returnOrdersNumber(startDate, endDate)
call setupLabel(3, returnDay(weekDay(startDate)))
call setupValue(1, 3, orderCount)
	
call setupValueLabel("") 
%>
<table width="650" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="50%" valign="top"><table width="95%" border="0" cellpadding="1" cellspacing="1">
        <tr> 
          <td width="1%"><img src="design/images/mainorders.gif" width="142" height="73"></td>
          <td nowrap><div id="normalText"><font color="red"><b> 
              <p>New orders for last 3 days</p>
              </b></font></div></td>
        </tr>
        <tr> 
          <td colspan="2"> 
            <% call plotGraph(100, 200, 50) %>
          </td>
        </tr>
        <tr> 
          <td colspan="2"><br></td>
        </tr>
        <tr> 
          <td width="1%"><img src="design/images/mainusers.gif" width="142" height="73"></td>
          <td nowrap><div id="normalText"><font color="red"><b> 
              <p>Visitors, customers <br>
                and shoppers for last 3 days</p>
              </b></font></div></td>
        </tr>
        <% ' ----------------------------------- Customers ---------------------------------------------
call setupNumberOfSeries(3, 3)
call setupSeriesNameAndColor(1, "Visitors", "blue")
call setupSeriesNameAndColor(2, "Customers", "green")
call setupSeriesNameAndColor(3, "Shoppers", "red")

startDate = formatDateTime(dateAdd("d", -2, now), 2) &" 00:00:00"
endDate = formatDateTime(dateAdd("d", -2, now), 2) &" 23:59:59"

visitorsCount = returnVisitorsNumber(startDate, endDate)
customersCount = returnCustomersNumber(startDate, endDate)
shoppersCount = returnShoppersNumber(startDate, endDate)
call setupLabel(1, returnDay(weekDay(startDate)))
call setupValue(1, 1, visitorsCount)
call setupValue(2, 1, customersCount)
call setupValue(3, 1, shoppersCount)
	
startDate = formatDateTime(dateAdd("d", -1, now), 2) &" 00:00:00"
endDate = formatDateTime(dateAdd("d", -1, now), 2) &" 23:59:59"
visitorsCount = returnVisitorsNumber(startDate, endDate)
customersCount = returnCustomersNumber(startDate, endDate)
shoppersCount = returnShoppersNumber(startDate, endDate)
call setupLabel(2, returnDay(weekDay(startDate)))
call setupValue(1, 2, visitorsCount)
call setupValue(2, 2, customersCount)
call setupValue(3, 2, shoppersCount)
	
startDate = formatDateTime(now(),2)&" 00:00:00"
endDate = formatDateTime(now(),2)&" 23:59:59"

visitorsCount = returnVisitorsNumber(startDate, endDate)
customersCount = returnCustomersNumber(startDate, endDate)
shoppersCount = returnShoppersNumber(startDate, endDate)
call setupLabel(3, returnDay(weekDay(startDate)))
call setupValue(1, 3, visitorsCount)
call setupValue(2, 3, customersCount)
call setupValue(3, 3, shoppersCount)

%>
        <tr> 
          <td colspan="2"> 
            <% call plotGraph(100, 200, 50) %>
          </td>
        </tr>
        <%

setlocale(storeLocaleID)
' ----------------------------------- Products ---------------------------------------------
sqlString = "select categoryID from storeCategories where storeID = "&storeID&" and parentCategory <> 0"
storeRS.open sqlString, storeConn, 1, 1
if not storeRS.eof then
	sqlString = "select count(categoryID) as totalCategories from storeCategories where storeID = "&storeID&" and parentCategory <> 0"
	storeRS.close
	storeRS.open sqlString, storeConn, 1, 1
	totalCategories = storeRS("totalCategories")
else
	totalCategories = 0	
end if
storeRS.close
sqlString = "select productID from storeProducts where storeID = "&storeID
storeRS.open sqlString, storeConn, 1, 1
if not storeRS.eof then
	sqlString = "select count(productID) as totalProducts from storeProducts where storeID = "&storeID
	storeRS.close
	storeRS.open sqlString, storeConn, 1, 1
	totalProducts = storeRS("totalProducts")
else
	totalProducts = 0
end if
storeRS.close
sqlString = "select productID from storeProductsStocks where storeID = "&storeID&" and isUsed <>0 and quantity <= minQuantityStopSale"
storeRS.open sqlString, storeConn, 1, 1
if not storeRS.eof then
	storeRS.close
	sqlString = "select count(productID) as productsStock from storeProductsStocks where storeID = "&storeID&" and isUsed <> 0 and quantity <= minQuantityStopSale"
	storeRS.open sqlString, storeConn, 1, 1
	productsStock = storeRS("productsStock")
else
	productsStock = 0
end if
storeRS.close

%>
      </table></td>
    <td width="50%" align="center" valign="top"><br>
      <br>
      <table width="208" height="120" border="0" cellpadding="3" cellspacing="0" bgcolor="#FFFFCC" class="table1">
        <tr align="left"> 
          <td height="27" nowrap class="cell1"><strong>&nbsp;&nbsp;Store Information</strong></td>
          <td height="27" align="right" nowrap class="cell1"><strong><img src="design/images/tD.gif" width="23" height="23" align="absmiddle"></strong></td>
        </tr>
        <tr> 
          <td width="70%" height="27" align="right" nowrap > Total categories: 
            <br> </td>
          <td width="30%" align="left" ><b><%= totalCategories %></b></td>
        </tr>
        <tr> 
          <td width="70%" height="27" align="right" nowrap >Total products: </td>
          <td width="30%" align="left" ><b><%= totalProducts %></b></td>
        </tr>
        <tr> 
          <td width="70%" height="12" align="right" nowrap ><img src="design/Images/spacer.gif" width="4" height="4"></td>
          <td width="30%" align="left" ><img src="design/Images/spacer.gif" width="4" height="4"></td>
        </tr>
        <tr> 
          <td width="70%" height="27" align="right" nowrap >Total out of stock: 
          </td>
          <td width="30%" align="left" ><b> 
            <% if productsStock<>0 then%>
            <font color="red" ><%= productsStock %></font> 
            <% else 
				response.write(productsStock) 
			end if %>
            </b></td>
        </tr>
      </table>
      <br>
      <br>
      <table width="208" height="213" border="0" cellpadding="3" cellspacing="0" bgcolor="#FFFFCC" class="table1">
        <tr align="right"> 
          <td height="27" align="left" nowrap class="cell1"><strong>&nbsp;&nbsp;Spider 
            Sales NEWS</strong></td>
          <td height="27" align="right" nowrap class="cell1"><strong><img src="design/images/tD.gif" width="23" height="23" align="absmiddle"></strong></td>
        </tr>
        <tr> 
          <td colspan="2" align="center" > <IFRAME src="http://www.spidersales.com/News/news.asp" width="200" height="185" scrolling="no" frameborder=0> 
            </iframe></td>
        </tr>
      </table>
      </td>
  </tr>
</table>
<% call endWindow() %>
<!--#include file="design/end.asp"-->
<% 
set storeRS = nothing
set storeConn = nothing 

'--------------------------------------------------------------------------------------------
function returnOrdersNumber(startDate, endDate)

	dim storeRS, sqlString
	dim totalOrders
	
	if dbType = "MySQL" then
		sqlString = "select orderID from storeOrders where storeID = "&storeID&" and orderCreate <= "&dateSepChar&getMySqlDate(endDate)&dateSepChar&" and orderCreate >= "&dateSepChar&getMySqlDate(startDate)&dateSepChar
	else
		sqlString = "select orderID from storeOrders where storeID = "&storeID&" and orderCreate <= "&dateSepChar&endDate&dateSepChar&" and orderCreate >= "&dateSepChar&startDate&dateSepChar
	end if
	set storeRS = Server.CreateObject("ADODB.Recordset")
	storeRS.open sqlString, storeConn, 1, 1
	if not storeRS.eof then
		if dbType = "MySQL" then
			sqlString = "select count(orderID) as totalOrders from storeOrders where storeID = "&storeID&" and orderCreate <= "&dateSepChar&getMySqlDate(endDate)&dateSepChar&" and orderCreate >= "&dateSepChar&getMySqlDate(startDate)&dateSepChar
		else
			sqlString = "select count(orderID) as totalOrders from storeOrders where storeID = "&storeID&" and orderCreate <= "&dateSepChar&endDate&dateSepChar&" and orderCreate >= "&dateSepChar&startDate&dateSepChar
		end if
		storeRS.close
		storeRS.open sqlString, storeConn, 1, 1
		totalOrders = storeRS("totalOrders")
	else
		totalOrders = 0
	end if
	storeRS.close
	set storeRS = nothing
	returnOrdersNumber = totalOrders

end function
'--------------------------------------------------------------------------------------------
function returnVisitorsNumber(startDate, endDate)

	dim storeRS, sqlString
	dim totalVisitors
	
	if dbType = "MySQL" then
		sqlString = "select userID from storeUsers where storeID = "&storeID&" and loginTime <= "&dateSepChar&getMySqlDate(endDate)&dateSepChar&" and loginTime >= "&dateSepChar&getMySqlDate(startDate)&dateSepChar
	else
		sqlString = "select userID from storeUsers where storeID = "&storeID&" and loginTime <= "&dateSepChar&endDate&dateSepChar&" and loginTime >= "&dateSepChar&startDate&dateSepChar
	end if
	set storeRS = Server.CreateObject("ADODB.Recordset")
	storeRS.open sqlString, storeConn, 1, 1
	if not storeRS.eof then
		if dbType = "MySQL" then
			sqlString = "select count(userID) as totalVisitors from storeUsers where storeID = "&storeID&" and loginTime <= "&dateSepChar&getMySqlDate(endDate)&dateSepChar&" and loginTime >= "&dateSepChar&getMySqlDate(startDate)&dateSepChar
		else
			sqlString = "select count(userID) as totalVisitors from storeUsers where storeID = "&storeID&" and loginTime <= "&dateSepChar&endDate&dateSepChar&" and loginTime >= "&dateSepChar&startDate&dateSepChar
		end if
		storeRS.close
		storeRS.open sqlString, storeConn, 1, 1
		totalVisitors = storeRS("totalVisitors")
	else
		totalVisitors = 0
	end if
	storeRS.close
	set storeRS = nothing
	returnVisitorsNumber = totalVisitors

end function
'--------------------------------------------------------------------------------------------
function returnCustomersNumber(startDate, endDate)

	dim storeRS, sqlString
	dim totalCustomers
	
	if dbType = "MySQL" then
		sqlString = "select distinct custID from storeUsers where storeID = "&storeID&" and loginTime <= "&dateSepChar&getMySqlDate(endDate)&dateSepChar&" and loginTime >= "&dateSepChar&getMySqlDate(startDate)&dateSepChar&" and custID <> 0"
	else
		sqlString = "select distinct custID from storeUsers where storeID = "&storeID&" and loginTime <= "&dateSepChar&endDate&dateSepChar&" and loginTime >= "&dateSepChar&startDate&dateSepChar&" and custID <> 0"
	end if
	set storeRS = Server.CreateObject("ADODB.Recordset")
	storeRS.open sqlString, storeConn, 1, 1
	totalCustomers = 0
	do while not storeRS.eof
		totalCustomers = totalCustomers + 1
		storeRS.movenext
	loop
	storeRS.close
	set storeRS = nothing
	returnCustomersNumber = totalCustomers

end function
'--------------------------------------------------------------------------------------------
function returnShoppersNumber(startDate, endDate)

	dim storeRS, sqlString
	dim totalShoppers
	
	if dbType = "MySQL" then
		sqlString = "select distinct custID from storeOrders where storeID = "&storeID&" and orderCreate <= "&dateSepChar&getMySqlDate(endDate)&dateSepChar&" and orderCreate >= "&dateSepChar&getMySqlDate(startDate)&dateSepChar
	else
		sqlString = "select distinct custID from storeOrders where storeID = "&storeID&" and orderCreate <= "&dateSepChar&endDate&dateSepChar&" and orderCreate >= "&dateSepChar&startDate&dateSepChar
	end if
	set storeRS = Server.CreateObject("ADODB.Recordset")
	storeRS.open sqlString, storeConn, 1, 1
	totalShoppers = 0
	do while not storeRS.eof
		totalShoppers = totalShoppers + 1
		storeRS.movenext
	loop
	storeRS.close
	set storeRS = nothing
	returnShoppersNumber = totalShoppers

end function
'--------------------------------------------------------------------------------------------
function returnDay(theDay)

	select case theDay

	case vbSunday
		returnDay = "Sunday"
	case vbMonday
		returnDay = "Monday"
	case vbTuesday
		returnDay = "Tuesday"
	case vbWednesday
		returnDay = "Wednesday"
	case vbThursday
		returnDay = "Thursday"
	case vbFriday
		returnDay = "Friday"
	case vbSaturday
		returnDay = "Saturday"
	end select

end function

%>